%define name gupicasa
%define version 0.0.3
%define release %mkrel 1

Summary: Upload photos to Picasa-Web albums
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:     http://code.google.com/p/gupicasa/
Source0: http://code.google.com/p/gupicasa/%{name}-%{version}.tar.xz
Source1: %{name}.png
Patch:   gupicasa-0.0.3-gdata.patch
License: GPLv3
BuildArch: noarch
Requires: python >= 2.5
Requires: pygtk2.0
Requires: python-gdata
Requires: pyexiv2 >= 0.2.0
Obsoletes: %name < %version


%description
Gupicasa is a GUI application for uploading photos to Picasa-Web albums
under Linux. It is much weaker than F-Spot.

It supports local editing of:
* Orientation
* Scaling
* Time stamps
* Text Summary 


%prep
%setup -q 
%patch -p1

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/%{name}
cp -r *.py images %buildroot/%_datadir/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gupicasa 
Comment=Upload photos to Picasa-Web albums
Exec=python %_datadir/%{name}/gupicasa.py
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;X-MandrivaLinux-Internet-Other;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc COPYING README
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Oct 17 2010 Sproggy <desproggster@gmail.com> 0.0.3-1pclos2010
- 0.0.3

* Tue Jun 08 2010 slick50 <lxgator@gmail.com> 0.0.1-1pclos2010
- initial pkg

